#!/bin/bash

# 源目录 (本地)
local_dir="./dist"

# 目标目录 (远程)
remote_user="root"
remote_host="175.178.171.148"
remote_dir="/var/www/frontend/company"

# 使用 scp 递归复制 dist 目录下的所有内容
scp -r "$local_dir"/* "$remote_user@$remote_host:$remote_dir"

if [ $? -ne 0 ]; then
  echo "文件传输失败。"
  exit 1
fi

echo "文件传输成功。"
exit 0
